using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class SuppliersAccess  : Daolite.BusinessAccess
	{

		public  SuppliersAccess() : base("Suppliers", NwindConfiger.GetConfiger())
		{
		}


		public Suppliers[] Query()
		{
			return base.Query<Suppliers>();
		}


		public Suppliers[] QueryRelated()
		{
			return base.QueryRelated<Suppliers>();
		}


		public Suppliers QueryOne(long SupplierID, bool isRelated)
		{
			return base.QueryOne<Suppliers>(new Daolite.DataStruct.KeyPairs()
			.Add("SupplierID", SupplierID)
			, isRelated);
		}


	}
}
